@use "@/theme/base.scss";

$menu-width: 250px;
$content-width: 1fr;

.layout {
  // --layout-width: var(--available-width);
  --layout-menu-width: 0;
  display: grid;
  grid: "content" / auto;
  gap: var(--spacing);
  // width: var(--layout-width);
  // height: 100%;
  flex-grow: 1;

  &[data-has-left="true"] {
    --layout-menu-width: #{$menu-width};
    grid: "menu content" / $menu-width $content-width;
    @include base.mq($until: tablet) {
      grid: "menu" "content";
    }
  }

  &[data-has-left="false"] {
    grid: "content" / auto;
    @include base.mq($until: tablet) {
      grid: "content" auto;
    }
    > .menus {
      display: none;
    }
  }

  &[data-fullscreen="true"] {
    width: 100%;
    height: 100%;
  }

  &[data-fullscreen="true"] .content {
    display: flex;
    flex-direction: column;
  }
}

.content {
  grid-area: content;
  width: calc(var(--layout-width) - var(--layout-menu-width));
}

button.navMenuButton {
  @include base.elevated-box;
  font-weight: bolder;
  box-shadow: 0 0 0 4px var(--primary-focus);
}

.menusInNav {
  padding: var(--spacing);
  display: flex;
  flex-direction: row;
  overflow-x: scroll;
  .menusTop {
    flex-direction: row;
    position: initial;
  }
  .menus {
  }
}

.menusTop {
  top: 0;
  position: sticky;
  top: var(--spacing);
  display: flex;
  flex-direction: column;
  gap: var(--spacing);
}

.menus {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: var(--spacing);
  @include base.mq($until: tablet) {
    flex-direction: row;
  }
}

.mainMenuArea {
  &:empty,
  &:blank {
    display: none;
  }
}

.menu {
  @include base.elevated-box;
  display: flex;
  flex-direction: column;
  background: var(--box-dark-background-color);
  color: var(--color);
  grid-area: menu;
  align-self: baseline;
  position: relative;
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    border-bottom: 1px solid var(--muted-border-color);
  }
  br {
    margin-bottom: 1rem;
  }
  // overflow: hidden;
}

.menuPortal {
  @include base.mq($from: tablet) {
    flex-grow: 1;
  }
  display: flex;
  flex-direction: column;
  justify-content: end;
}

.menuPortalElem {
  position: sticky;
  bottom: var(--spacing);
}

.menuContents {
  display: flex;
  flex-direction: column;
  width: var(--menu-width, $menu-width);
  padding: calc(var(--spacing) * 0.5) 0;
}

.menuButton {
  display: none;
  border: 0;
  outline: 0;
  background: 0;
  box-shadow: none;

  &:hover {
    background: 0;
  }
}

.item {
  border-radius: 0;
  padding: calc(var(--spacing) * 0.3) var(--spacing);
  input {
    margin: 0 !important;
  }
  &.border {
    border-bottom: 1px solid var(--muted-border-color);
  }

  &[data-disabled="true"] {
    cursor: not-allowed;
    color: var(--muted-color);
  }

  > :global(.icon:first-child) {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 22px;
    height: 22px;
  }
}

.link {
  cursor: pointer;
  &:global(.is-active) {
    font-weight: bold;
    color: var(--primary-inverse);
    background: var(--primary-focus);
  }
}

.disabledLink {
  cursor: not-allowed;
  color: var(--muted-color);
}

.submenu {
  @extend .menu;
  box-shadow: none;
  border-radius: 0;
  position: relative;
  width: 100%;
  padding-left: var(--spacing);
  &:before {
    background: var(--muted-border-color);
    content: "";
    width: 1px;
    top: 0;
    left: var(--spacing);
    height: 100%;
    position: absolute;
  }
}

.title {
  width: 100%;
  border-bottom: 1px solid var(--muted-border-color);
  padding: 0.5rem 1rem 0rem 1rem;
  font-size: 1.25rem;
  color: var(--color);
  font-weight: bold;
}
